<template>
    <div class="home-card">
        <div class="card-header">
            <div class="title">
                密集架
            </div>
            <div class="extend">
                <AIcon type="CaretLeftFilled" style="font-size: 16px; color: #E0E0E0;" />
                <div>密集架1</div>
                <AIcon type="CaretRightFilled" style="font-size: 16px; color: #E0E0E0;" />
            </div>
        </div>
        <div class="card-content">
            <div ref="chartRef" style="width: 100%; min-height: 190px"></div>
        </div>
    </div>
</template>

<script setup lang="ts" name="CompactShelving">
import { useMenuStore } from '@/store/menu';
import * as echarts from 'echarts';
const chartRef = ref<Record<string, any>>({});
const menu = useMenuStore();
let myChart: any = null;

const handleOptions = (x = [], y = []) => {
    const chart: any = chartRef.value;
    if (chart) {
        myChart = echarts.init(chart);
        const options = {
            grid: {
                top: '5%',
                left: '3%',
                right: '4%',
                bottom: '3%',
                containLabel: true
            },
            xAxis: {
                type: 'category',
                data: ['1列', '2列', '3列', '4列', '5列', '6列', '7列', '8列', '9列', '10列', '11列']
            },
            yAxis: {
                type: 'value'
            },
            series: [
                {
                    data: [120, 200, 150, 80, 70, 110, 130, 140, 120, 160, 190],
                    type: 'bar',
                    barWidth: 10,
                    showBackground: true,
                    backgroundStyle: {
                        color: 'rgba(180, 180, 180, 0.2)'
                    }
                }
            ]
        };
        nextTick(() => {
            myChart.setOption(options);
            window.addEventListener('resize', function () {
                myChart.resize();
            });
        });
    }
};

watch(() => menu.collapsed, (newX) => {
    setTimeout(() => {
        myChart.resize();
    }, 300);
})

onMounted(() => {
    handleOptions();
})
</script>

<style lang="less" scoped>
.home-card {
    margin-top: 16px;
    .card-content {
        padding: 16px;
    }
}
</style>
